Could not identify preference: username Could not identify preference: session_key failure yet authed for services

Bug #569543 reported by sara on 2010-04-24
68
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Gwibber
High
Ken VanDine
gwibber (Ubuntu)
High
Ken VanDine
Lucid
Undecided
Unassigned
Maverick
High
Ken VanDine

Bug Description

Binary package hint: gwibber

http://paste.ubuntu.com/421714/

authed with facebook yet not able to update or post owing to..
"
Updating...
** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
Saving...
Could not identify preference: username
Could not identify preference: session_key
Saving...
Could not identify preference: username
Could not identify preference: session_key"

~$ lsb_release -rd
Description: Ubuntu 10.04 LTS
Release: 10.04
:~$ apt-cache policy gwibber
gwibber:
  Installed: 2.30.0.1-0ubuntu1
  Candidate: 2.30.0.1-0ubuntu1
  Version table:
 *** 2.30.0.1-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: gwibber 2.30.0.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Sat Apr 24 17:41:57 2010
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
PackageArchitecture: all
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: gwibber

sara (ms-sara-griffin) wrote :
Omer Akram (om26er) wrote :

Thanks for taking time to report this bug and helping to make ubuntu better. Can you please tell if you removed the facebook account and then tried to add it again? Do you get any crash report when gwibber fails to start?

Changed in gwibber (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
sara (ms-sara-griffin) wrote :

yeah i had the same issue and was told in #ubuntu+1 to delete couchb database so i did when i rebooted it stopped working and there where no accounts there.

sara (ms-sara-griffin) on 2010-04-25
Changed in gwibber (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Omer Akram (om26er) wrote :

sara, now as you described earlier gwibber dont start what do you get in terminal when you start it from there?

i have pastebinned that...

http://paste.ubuntu.com/421714/
 as in the original report

On 25 April 2010 19:47, Omer Akram <email address hidden> wrote:
> sara, now as you described earlier gwibber dont start what do you get in
> terminal when you start it from there?
>
> --
> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
> https://bugs.launchpad.net/bugs/569543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “gwibber” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: gwibber
>
> http://paste.ubuntu.com/421714/
>
> authed with facebook yet not able to update or post owing to..
> "
> Updating...
> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key"
>
>
> ~$ lsb_release -rd
> Description:    Ubuntu 10.04 LTS
> Release:        10.04
> :~$ apt-cache policy gwibber
> gwibber:
>  Installed: 2.30.0.1-0ubuntu1
>  Candidate: 2.30.0.1-0ubuntu1
>  Version table:
>  *** 2.30.0.1-0ubuntu1 0
>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>        100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gwibber 2.30.0.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic i686
> Architecture: i386
> Date: Sat Apr 24 17:41:57 2010
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> SourcePackage: gwibber
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/569543/+subscribe
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

Phuah Yee Keat (ykphuah) wrote :

Same problem for me, fresh install of Lucid, went thru the process of Facebook login and authorization, clicking on "Add" does not do anything, the console (which I started gwibber with) gives this:
Saving...
Could not identify preference: username
Could not identify preference: session_key
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line 184, in on_edit_account_save
    self.get_account_data()
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line 353, in get_account_data
    aId = "%s-%s" % (self.account["protocol"], self.account["username"])
KeyError: 'username'

Phuah Yee Keat (ykphuah) wrote :

How it looked like in my gwibber, note that my embedded Facebook comes up in Malay (local language over here), not English, wonder if that have anything to do with gwibber not getting my username. I have no idea how to change it to use English.

Omer Akram (om26er) wrote :

any one on this bug report found a workaround?

No, sorry. Tried some of the hints from other, gwibber related, bugreports like deleting couchdb database and other things, but nothing worked.

Omer Akram (om26er) wrote :

Hmm, this bug might be related to bug 571224 the commit for the change for that bug says "Prompt user to reset facebook credentials when needed" I think the workaround here might be to delete your gnome-keyring data.

Changed in gwibber (Ubuntu):
status: Incomplete → Confirmed
Ken VanDine (ken-vandine) wrote :

Can anyone experiencing this problem confirm if they have a facebook "username" as well as a login? Like my facebook username is kenvandine, but I don't think everyone has one. I think we might not handle accounts without a username.

Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Medium → High
Omer Akram (om26er) wrote :

you can simply make a facebook username by opening facebook.com/username

yes i have one. i log in and auth ok with my email address

On 3 May 2010 12:40, Omer Akram <email address hidden> wrote:
> you can simply make a facebook username by opening facebook.com/username
>
> --
> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
> https://bugs.launchpad.net/bugs/569543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: New
> Status in “gwibber” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gwibber
>
> http://paste.ubuntu.com/421714/
>
> authed with facebook yet not able to update or post owing to..
> "
> Updating...
> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key"
>
>
> ~$ lsb_release -rd
> Description:    Ubuntu 10.04 LTS
> Release:        10.04
> :~$ apt-cache policy gwibber
> gwibber:
>  Installed: 2.30.0.1-0ubuntu1
>  Candidate: 2.30.0.1-0ubuntu1
>  Version table:
>  *** 2.30.0.1-0ubuntu1 0
>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>        100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gwibber 2.30.0.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic i686
> Architecture: i386
> Date: Sat Apr 24 17:41:57 2010
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> SourcePackage: gwibber
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/569543/+subscribe
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

it auths but wont add a new account when asked to auth it asks for an
EMAIL address

On 3 May 2010 12:53, sara griffin <email address hidden> wrote:
> yes i have one. i log in and auth ok with my email address
>
> On 3 May 2010 12:40, Omer Akram <email address hidden> wrote:
>> you can simply make a facebook username by opening facebook.com/username
>>
>> --
>> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
>> https://bugs.launchpad.net/bugs/569543
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Gwibber: New
>> Status in “gwibber” package in Ubuntu: Confirmed
>>
>> Bug description:
>> Binary package hint: gwibber
>>
>> http://paste.ubuntu.com/421714/
>>
>> authed with facebook yet not able to update or post owing to..
>> "
>> Updating...
>> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
>> Saving...
>> Could not identify preference: username
>> Could not identify preference: session_key
>> Saving...
>> Could not identify preference: username
>> Could not identify preference: session_key"
>>
>>
>> ~$ lsb_release -rd
>> Description:    Ubuntu 10.04 LTS
>> Release:        10.04
>> :~$ apt-cache policy gwibber
>> gwibber:
>>  Installed: 2.30.0.1-0ubuntu1
>>  Candidate: 2.30.0.1-0ubuntu1
>>  Version table:
>>  *** 2.30.0.1-0ubuntu1 0
>>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>>        100 /var/lib/dpkg/status
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 10.04
>> Package: gwibber 2.30.0.1-0ubuntu1
>> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
>> Uname: Linux 2.6.32-21-generic i686
>> Architecture: i386
>> Date: Sat Apr 24 17:41:57 2010
>> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>> PackageArchitecture: all
>> ProcEnviron:
>>  LANG=en_GB.utf8
>>  SHELL=/bin/bash
>> SourcePackage: gwibber
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/gwibber/+bug/569543/+subscribe
>>
>
>
>
> --
> Yours
> Sara Griffin
> سارة غريفين
> 07770488123
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

Ken VanDine (ken-vandine) wrote :

The traceback mentions that it is missing an expected variable, the username. Looking at the code I think gwibber just isn't handling the case where facebook doesn't tell us what your facebook username is. Which is clearly a problem, since facebook doesn't require usernames and not everyone has one. Many people might end up not having one and we need to handle that case in gwibber. I need to review the code to figure out how much we depend on that existing.

Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
status: New → Fix Committed

this is also an issue with twitter NOT JUST facebook :s

On 3 May 2010 16:05, Ken VanDine <email address hidden> wrote:
> ** Changed in: gwibber
>     Assignee: (unassigned) => Ken VanDine (ken-vandine)
>
> ** Changed in: gwibber
>   Importance: Undecided => High
>
> ** Changed in: gwibber
>       Status: New => Fix Committed
>
> --
> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
> https://bugs.launchpad.net/bugs/569543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Fix Committed
> Status in “gwibber” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gwibber
>
> http://paste.ubuntu.com/421714/
>
> authed with facebook yet not able to update or post owing to..
> "
> Updating...
> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key"
>
>
> ~$ lsb_release -rd
> Description:    Ubuntu 10.04 LTS
> Release:        10.04
> :~$ apt-cache policy gwibber
> gwibber:
>  Installed: 2.30.0.1-0ubuntu1
>  Candidate: 2.30.0.1-0ubuntu1
>  Version table:
>  *** 2.30.0.1-0ubuntu1 0
>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>        100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gwibber 2.30.0.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic i686
> Architecture: i386
> Date: Sat Apr 24 17:41:57 2010
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> SourcePackage: gwibber
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/569543/+subscribe
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

Download full text (4.0 KiB)

HERE i'm trying to add a twitter account
:~$ gwibber --debug

** (gwibber:10352): WARNING **: Trying to register gtype
'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:10352): WARNING **: Trying to register gtype
'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:10352): WARNING **: Trying to register gtype
'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
Updating...

** (gwibber-accounts:10390): WARNING **: Trying to register gtype
'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:10390): WARNING **: Trying to register gtype
'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:10390): WARNING **: Trying to register gtype
'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
Saving...
** Message: secret service operation failed: The name
org.freedesktop.secrets was not provided by any .service files
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line
184, in on_edit_account_save
    self.get_account_data()
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line
369, in get_account_data
    gnomekeyring.get_default_keyring_sync(),
gnomekeyring.IOError
Saving...
** Message: secret service operation failed: The name
org.freedesktop.secrets was not provided by any .service files
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line
184, in on_edit_account_save
    self.get_account_data()
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line
369, in get_account_data
    gnomekeyring.get_default_keyring_sync(),
gnomekeyring.IOError
Saving...
:~$

On 3 May 2010 17:53, sara griffin <email address hidden> wrote:
> this is also an issue with twitter NOT JUST facebook :s
>
> On 3 May 2010 16:05, Ken VanDine <email address hidden> wrote:
>> ** Changed in: gwibber
>>     Assignee: (unassigned) => Ken VanDine (ken-vandine)
>>
>> ** Changed in: gwibber
>>   Importance: Undecided => High
>>
>> ** Changed in: gwibber
>>       Status: New => Fix Committed
>>
>> --
>> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
>> https://bugs.launchpad.net/bugs/569543
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Gwibber: Fix Committed
>> Status in “gwibber” package in Ubuntu: Confirmed
>>
>> Bug description:
>> Binary package hint: gwibber
>>
>> http://paste.ubuntu.com/421714/
>>
>> authed with facebook yet not able to update or post owing to..
>> "
>> Updating...
>> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
>> Saving...
>> Could not identify preference: username
>> Could not identify preference: session_key
>> Saving...
>> Could not identify preference: username
>> Could not identify preference: session_key"
>>
>>
>> ~$ lsb_release -rd
>> Description:    Ubuntu 10.04 LTS
>> Release:        10.04
>> :~$ apt-cache policy gwibber
>> gwibber:
>>  Installed: 2.3...

Read more...

Ken VanDine (ken-vandine) wrote :

That failure with twitter is different, that means the gnome-keyring isn't available. Are you running GNOME?

yes i think so

On 3 May 2010 18:06, Ken VanDine <email address hidden> wrote:
> That failure with twitter is different, that means the gnome-keyring
> isn't available.  Are you running GNOME?
>
> --
> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
> https://bugs.launchpad.net/bugs/569543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Fix Committed
> Status in “gwibber” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gwibber
>
> http://paste.ubuntu.com/421714/
>
> authed with facebook yet not able to update or post owing to..
> "
> Updating...
> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key"
>
>
> ~$ lsb_release -rd
> Description:    Ubuntu 10.04 LTS
> Release:        10.04
> :~$ apt-cache policy gwibber
> gwibber:
>  Installed: 2.30.0.1-0ubuntu1
>  Candidate: 2.30.0.1-0ubuntu1
>  Version table:
>  *** 2.30.0.1-0ubuntu1 0
>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>        100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gwibber 2.30.0.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic i686
> Architecture: i386
> Date: Sat Apr 24 17:41:57 2010
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> SourcePackage: gwibber
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/569543/+subscribe
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

Magnus Stefanus (stefan-frey) wrote :

I didn't have a facebook username and created now one. Trying to add the fb-account in gwibber via Username gives me the same error-message:

Could not identify preference: username
Could not identify preference: session_key
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line 184, in on_edit_account_save
    self.get_account_data()
  File "/usr/lib/python2.6/dist-packages/gwibber/accounts.py", line 353, in get_account_data
    aId = "%s-%s" % (self.account["protocol"], self.account["username"])
KeyError: 'username'

I also tried with deleting the desktop-couch folders in the home directory without success. Gnome-keyring hasn't stored anything about gwibber or facebook. I think Ken VanDine has recognized the error correctly. I'm using the latest gwibber (gwibber 2.30.0.1-0ubuntu1) with very new lucid.

Ken VanDine (ken-vandine) wrote :

There is a fix for this issue waiting to be approved in lucid-proposed, when it is published I will comment looking for testers.

@thehumanthings can you please file a new bug for the keyring failure?

Omer Akram (om26er) wrote :

There already is a bug report for this bug 567616 and also there the proposed workaround is to start gnome-keyring-daemon first

Accepted gwibber into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gwibber (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Magnus Stefanus (stefan-frey) wrote :

I downloaded the new package from proposed and tried to add my fb-account, but the 'Add' button has now completely disapeared (see attachment), so it's impossible to add it. Authorization on facebook worked.

Niko Ehrenfeuchter (he1ix) wrote :

Magnus, I'm pretty sure this is still the old package (I ran into the same issue earlier today).

"aptitude changelog gwibber" shows nothing about this bug, so we probably have to be patient until the new package is ready...

Niko Ehrenfeuchter (he1ix) wrote :

Ah well, my mistake. There is no changelog available yet through "aptitude" since http://changelogs.ubuntu.com/changelogs/pool/main/g/gwibber/ only has changelogs for the "0ubuntu2" version.

Looking into the .diff.gz from http://archive.ubuntu.com/ubuntu/pool/main/g/gwibber/gwibber_2.30.0.1-0ubuntu3.diff.gz reveals the following changelog though:

+gwibber (2.30.0.1-0ubuntu3) lucid-proposed; urgency=low
+
+ * debian/patches/lp_569543.patch
+ - Don't allow people to click "Add" before we have enough information
+ from facebook to add the account (LP: #569543)
+
+ -- Ken VanDine <email address hidden> Mon, 03 May 2010 10:58:47 -0400

Works for me now with the update from proposed. I can add the Facebook-account and use it.

Martin Pitt (pitti) on 2010-05-04
tags: added: verification-done
removed: verification-needed
Niko Ehrenfeuchter (he1ix) wrote :

Reset tags to "verification-needed" as it does not work for Magnus Stefanus and myself.

tags: added: verification-needed
removed: verification-done

this is the same issue after i updated the final add button was
removed after fb authed

On 4 May 2010 14:41, Martin Pitt <email address hidden> wrote:
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>
> --
> Could not identify preference: username Could not identify preference: session_key failure yet authed for services
> https://bugs.launchpad.net/bugs/569543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Fix Committed
> Status in “gwibber” package in Ubuntu: Confirmed
> Status in “gwibber” source package in Lucid: Fix Committed
> Status in “gwibber” source package in Maverick: Confirmed
>
> Bug description:
> Binary package hint: gwibber
>
> http://paste.ubuntu.com/421714/
>
> authed with facebook yet not able to update or post owing to..
> "
> Updating...
> ** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key
> Saving...
> Could not identify preference: username
> Could not identify preference: session_key"
>
>
> ~$ lsb_release -rd
> Description:    Ubuntu 10.04 LTS
> Release:        10.04
> :~$ apt-cache policy gwibber
> gwibber:
>  Installed: 2.30.0.1-0ubuntu1
>  Candidate: 2.30.0.1-0ubuntu1
>  Version table:
>  *** 2.30.0.1-0ubuntu1 0
>        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages
>        100 /var/lib/dpkg/status
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: gwibber 2.30.0.1-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-21-generic i686
> Architecture: i386
> Date: Sat Apr 24 17:41:57 2010
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> ProcEnviron:
>  LANG=en_GB.utf8
>  SHELL=/bin/bash
> SourcePackage: gwibber
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/569543/+subscribe
>

--
Yours
Sara Griffin
سارة غريفين
07770488123

Ken VanDine (ken-vandine) wrote :

The fix for this bug was to actually hide the "Add" button until the facebook authorization was complete. Previously it was available even when facebook hadn't been authorized. I see in the above screenshot that it appears to be authorized but didn't display the Add button. I can't reproduce that behavior though.... The same signal that displays the authorized info is what displays the Add button.

Niko Ehrenfeuchter (he1ix) wrote :

Ken, I still suffer from the above problem described by Magnus Stefanus, though you're right with your interpretation of the german localized message "Mit Facebook verbunden" (it reads "Facebook authorized" on my system here since I don't like to live in a localized Linux, apart from being a native german speaker).

How can I help do debug this any further? Maybe it *is* language-related, since my facebook-account is localized in german, as well as it is probably for Magnus' account (just my personal guess). Nevertheless, don't know if this makes any difference at all...

(Btw, I didn't click on the "Add" button in the version shipped with lucid-vanilla until it showed the "Facebook authorized" message, yet the behaviour was the same as described in this bug. Just to be precise.)

Hey Niko, yes it's right, the system language of my ubuntu is german and the facebook-language is also german. I changed the language in facebook to english (uk) and tried again to add my fb-account to gwibber but the 'add' button still didn't appear after correct authorization!

Am 05.05.2010, 00:05 Uhr, schrieb Niko Ehrenfeuchter <email address hidden>:

> Ken, I still suffer from the above problem described by Magnus Stefanus,
> though you're right with your interpretation of the german localized
> message "Mit Facebook verbunden" (it reads "Facebook authorized" on my
> system here since I don't like to live in a localized Linux, apart from
> being a native german speaker).
>
> How can I help do debug this any further? Maybe it *is* language-
> related, since my facebook-account is localized in german, as well as it
> is probably for Magnus' account (just my personal guess). Nevertheless,
> don't know if this makes any difference at all...
>
> (Btw, I didn't click on the "Add" button in the version shipped with
> lucid-vanilla until it showed the "Facebook authorized" message, yet the
> behaviour was the same as described in this bug. Just to be precise.)
>

Magnus Stefanus (stefan-frey) wrote :

Hey Niko, yes it's right, the system language of my ubuntu is german and the facebook-language is also german. I changed the language in facebook to english (uk) and tried again to add my fb-account to gwibber but the 'add' button still didn't appear after correct authorization!

Niko Ehrenfeuchter (he1ix) wrote :

Ping, I'd really like to continue debugging this. No suggestions, nobody?

Magnus Stefanus (stefan-frey) wrote :

I share Niko's opinion and would be glad to use gwibber for my facebook!

Am 12.05.2010, 18:17 Uhr, schrieb Niko Ehrenfeuchter <email address hidden>:

> Ping, I'd really like to continue debugging this. No suggestions,
> nobody?
>

Niko Ehrenfeuchter (he1ix) wrote :

Well, so I had to learn how to debug python myself... If you're not interested in details, jump straight to the bottom of this message.

To see what's going on, I added the python-debugger to /usr/share/pyshared/gwibber/lib/gtk/facebook.py by adding "import pdb" at the end of the other import statements at the top of the file. After fiddling around a bit, I discovered the crucial point in "on_facebook_auth_title_change()", so I added a "pdb.set_trace()" right after the first "try:" statement in that function (see the attached diff if unclear). This makes python stop just after the facebook-connect has returned "Success" (which causes the "facebook authorized" state described in earlier posts). Here's the debugger's trace from that very position:

> /usr/lib/python2.6/dist-packages/gwibber/lib/gtk/facebook.py(115)on_facebook_auth_title_change()
-> url = web.get_main_frame().get_uri()
(Pdb)
(Pdb) n
> /usr/lib/python2.6/dist-packages/gwibber/lib/gtk/facebook.py(116)on_facebook_auth_title_change()
-> data = json.loads(urlparse.parse_qs(url.split("?", 1)[1])["session"][0])
(Pdb) n
IndexError: 'list index out of range'
> /usr/lib/python2.6/dist-packages/gwibber/lib/gtk/facebook.py(116)on_facebook_auth_title_change()
-> data = json.loads(urlparse.parse_qs(url.split("?", 1)[1])["session"][0])
(Pdb) n
> /usr/lib/python2.6/dist-packages/gwibber/lib/gtk/facebook.py(151)on_facebook_auth_title_change()
-> except:
(Pdb) p url
'http://www.facebook.com/connect/login_success.html'
(Pdb) p data
'Success'

This explains why the "Add" button does not show up, the split-statement fails since the "url" variable does not contain any of the expected information. So the try-except block stops right after the "data=..." line which clearly explains why the "Add" button still is missing. So the reason is that facebook returns an URI in a format quite different from what expected from gwibber.

First idea (already mentioned in an earlier post): language-related. Turns out to be the wrong direction, switching facebook to english doesn't make a difference.

But: clicking through my fb-settings, I discovered that Gwitter is already registered as an application having access to the fb-profile, even though the registration process never completed successfully in my gwibber client. Must be due to an earlier registration attempt failing (in gwibber, but not in facebook!) due to the keyring-bug (LP: #571224).

So the SOLUTION was to me: remove "Gwibber" from the list of applications (in your facebook-profile), then start all over with gwibber-client. Now the URI returned after completing the login contains all the information expected by gwibber and registration works!

Wohoo. Enjoy.

Niko Ehrenfeuchter (he1ix) wrote :

The conclusion from my last report seems to me that it should be problematic to register the same facebook-account on multiple gwibber clients (should be verified, I think...)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.30.0.1-0ubuntu3

---------------
gwibber (2.30.0.1-0ubuntu3) lucid-proposed; urgency=low

  * debian/patches/lp_569543.patch
    - Don't allow people to click "Add" before we have enough information
      from facebook to add the account (LP: #569543)

gwibber (2.30.0.1-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/handle_facebook_keyring.patch
    - Handle prompting the user to authorize gwibber to use facebook in cases
      where the account was synced and there is no local key stored in the
      keyring (LP: #571224)
  * debian/patches/dont_spawn_multiple_accounts_dialogs.patch
    - Don't fire gwibber-accounts for each failure, only spawn it
      once (LP: #564741)
 -- Ken VanDine <email address hidden> Mon, 03 May 2010 10:58:47 -0400

Changed in gwibber (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied to maverick, too.

Changed in gwibber (Ubuntu Maverick):
status: Confirmed → Fix Released
Matthias G. (matgnt) wrote :

I use version 2.30.0.1-0ubuntu3 of gwibber and I had the same problem as discribed by Niko in comment #36. After I removed gwibber on my facebook account I could authorize it with gwibber and the buttons appeared.

I also fully agree with Niko's assumption in comment #37!

So the bug is not yet completely fixed with the released version. Do we have to change the bug's status to make it clear? Or is it a new bug, since the bug description doesn't point to the new problem "Add button doesn't appear even though I get an authorized message"?

psychedelys (psychedelys) wrote :

Well, I have also the same issue, but the button "add" is not appearing like in Comment 24.
I have tried the version 2.30.0.1-0ubuntu3 and 2.31.1~bzr743-0ubuntu1~daily1 with no success.

I some how messed up a bit with the code,

in /usr/share/pyshared/gwibber/lib/gtk/facebook.py:113, call fbc.users.getInfo(fbuid) was causing a 'silent' exception (no trace in the debug output'.
So, I replaced the /usr/share/pyshared/gwibber/microblog/util/facelib.py with the up-to-date git version at http://github.com/sciyoshi/pyfacebook.git/facebook/__init__.py

This solved the first trouble, the code fbc.users.getInfo(fbuid) is now working!
I click on the Add button, but still no update or interaction with facebook available.

Martin Pitt (pitti) wrote :

This update caused a regression, see bug 595265

Ken VanDine (ken-vandine) wrote :

Not really a regression, it is hit and miss. Same as bug 595265, caused by facebook throttling all gwibber users. I have uploaded a fix for maverick and still testing the fix back ported for lucid before doing an SRU for it. Basically cleaning up all of our calls to facebook making sure we download as little data as possible. Unfortunately, it will take time for people to see the problem really go away. We will need enough users to get the update that facebook sees the reduction in traffic and stops throttling gwibber.

Omer Akram (om26er) on 2010-07-10
Changed in gwibber:
status: Fix Committed → Fix Released
David Baucum (maxolasersquad) wrote :

I tried removing Gwibber from the applications list in Facebook. I then went into Gwibber to try to add it back. After putting in my e-mail address and password I got back from Facebook "An error occurred with Gwibber. Please try again later." When I click "Okay" the Broadcast Accounts window freezes. Nothing shows up on the terminal.

Felipe Castillo (fcastillo.ec) wrote :

I still can't see the Add button for facebook :( I don't know what's going on. Gwibber gets added in facebook, it gets authorized but still doesn't show the add button.
I'm ussing the daily PPA and still no solution :(
Everything was working fine until I decided to change my Ubuntu password and having to delete my gnome-keyring file, since then Gwibber hasn't been working fine....

Felipe Castillo (fcastillo.ec) wrote :

It got solved after many tries and noticing that if I don't select the "Keep me logged in to Gwibber", it worked...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers